### Hierarchy

- EventHandler
  - CLUEGraphManager

### Implements

- IEventHandler

## Index

### Constructors

- constructor

### Properties

- DEBOUNCE_UPDATE_DELAY
- EVENT_EXTERNAL_STATE_CHANGE
- MULTI_EVENT_SEPARATOR

### Accessors

- isAutoPlay
- storedSlide
- storedState

### Methods

- choose
- chooseLazy
- cloneLocal
- delete
- editGraphMetaData
- fire
- getRegisteredHandlerCount
- importExistingGraph
- importGraph
- list
- loadGraph
- loadOrClone
- migrateGraph
- newGraph
- newRemoteGraph
- off
- on
- propagate
- setGraph
- startFromScratch
- stopPropagation
- reloadPage

## Constructors

### constructor

- new CLUEGraphManager(manager: MixedStorageProvenanceGraphManager, isReadonly?: boolean): CLUEGraphManager

- - Defined in CLUEGraphManager.ts:29

  #### Parameters

  - ##### manager: MixedStorageProvenanceGraphManager

  - ##### Default value isReadonly: boolean = false

  #### Returns CLUEGraphManager

## Properties

### Static DEBOUNCE_UPDATE_DELAY

DEBOUNCE_UPDATE_DELAY: 100 = 100

- Defined in CLUEGraphManager.ts:27

update hash in 100ms to prevent to frequent updates

type

  {number}

### Static EVENT_EXTERNAL_STATE_CHANGE

EVENT_EXTERNAL_STATE_CHANGE: "externalStateChanged" = "externalStateChanged"

- Defined in CLUEGraphManager.ts:21

### Static MULTI_EVENT_SEPARATOR

MULTI_EVENT_SEPARATOR: "," = ","

Inherited from EventHandler.MULTI_EVENT_SEPARATOR

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:136

## Accessors

### isAutoPlay

isAutoPlay:

- Defined in CLUEGraphManager.ts:109

### storedSlide

storedSlide:

- Defined in CLUEGraphManager.ts:75
- Defined in CLUEGraphManager.ts:79

### storedState

storedState:

- Defined in CLUEGraphManager.ts:92
- Defined in CLUEGraphManager.ts:96

## Methods

### choose

- choose(list: IProvenanceGraphDataDescription[], rejectOnNotFound?: boolean): any

- - Defined in CLUEGraphManager.ts:237

  #### Parameters

  - ##### list: IProvenanceGraphDataDescription[]

  - ##### Default value rejectOnNotFound: boolean = false

  #### Returns any

### chooseLazy

- chooseLazy(rejectOnNotFound?: boolean): any

- - Defined in CLUEGraphManager.ts:233

  #### Parameters

  - ##### Default value rejectOnNotFound: boolean = false

  #### Returns any

### cloneLocal

- cloneLocal(graph: IProvenanceGraphDataDescription): PromiseLike<ProvenanceGraph>

- - Defined in CLUEGraphManager.ts:249

  #### Parameters

  - ##### graph: IProvenanceGraphDataDescription

  #### Returns PromiseLike<ProvenanceGraph>

### delete

- delete(graph: IProvenanceGraphDataDescription): PromiseLike<boolean>

- - Defined in CLUEGraphManager.ts:117

  #### Parameters

  - ##### graph: IProvenanceGraphDataDescription

  #### Returns PromiseLike<boolean>

### editGraphMetaData

- editGraphMetaData(graph: IProvenanceGraphDataDescription, extras?: any): PromiseLike<IProvenanceGraphDataDescription>

- - Defined in CLUEGraphManager.ts:154

  #### Parameters

  - ##### graph: IProvenanceGraphDataDescription

  - ##### Default value extras: any = {}

  #### Returns PromiseLike<IProvenanceGraphDataDescription>

### fire

- fire(events: string, ...args: any[]): this

- Inherited from EventHandler.fire

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:210

  fires an event

  #### Parameters

  - ##### events: string

    name(s) of the event

  - ##### Rest ...args: any[]

    additional arguments

  #### Returns this

### getRegisteredHandlerCount

- getRegisteredHandlerCount(): object

- Inherited from EventHandler.getRegisteredHandlerCount

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:196

  list for each registered event the number of listeners

  #### Returns object

  - ##### [key: string]: number

### importExistingGraph

- importExistingGraph(graph: IProvenanceGraphDataDescription, extras?: any, cleanUpLocal?: boolean): any

- - Defined in CLUEGraphManager.ts:135

  #### Parameters

  - ##### graph: IProvenanceGraphDataDescription

  - ##### Default value extras: any = {}

  - ##### Default value cleanUpLocal: boolean = false

  #### Returns any

### importGraph

- importGraph(dump: any, remote?: boolean): void

- - Defined in CLUEGraphManager.ts:129

  #### Parameters

  - ##### dump: any

  - ##### Default value remote: boolean = false

  #### Returns void

### list

- list(): any

- - Defined in CLUEGraphManager.ts:113

  #### Returns any

### loadGraph

- loadGraph(desc: any): void

- - Defined in CLUEGraphManager.ts:68

  #### Parameters

  - ##### desc: any

  #### Returns void

### loadOrClone

- loadOrClone(graph: IProvenanceGraphDataDescription, isSelect: boolean): void

- - Defined in CLUEGraphManager.ts:241

  #### Parameters

  - ##### graph: IProvenanceGraphDataDescription

  - ##### isSelect: boolean

  #### Returns void

### migrateGraph

- migrateGraph(graph: ProvenanceGraph, extras?: any): PromiseLike<ProvenanceGraph>

- - Defined in CLUEGraphManager.ts:142

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### Default value extras: any = {}

  #### Returns PromiseLike<ProvenanceGraph>

### newGraph

- newGraph(): void

- - Defined in CLUEGraphManager.ts:62

  #### Returns void

### newRemoteGraph

- newRemoteGraph(): void

- - Defined in CLUEGraphManager.ts:54

  #### Returns void

### off

- off(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.off

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:172

  unregister a global event handler

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns this

### on

- on(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.on

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:150

  register a global event handler

  #### Parameters

  - ##### events: string | object

    either one event string (multiple are supported using , as separator) or a map of event handlers

  - ##### Optional handler: IEventListener

    the handler in case of a given string

  #### Returns this

### propagate

- propagate(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.propagate

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:230

  registers on the given event handler and propagates the given events to itself

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### setGraph

- setGraph(graph: ProvenanceGraph): ProvenanceGraph

- - Defined in CLUEGraphManager.ts:158

  #### Parameters

  - ##### graph: ProvenanceGraph

  #### Returns ProvenanceGraph

### startFromScratch

- startFromScratch(): void

- - Defined in CLUEGraphManager.ts:121

  #### Returns void

### stopPropagation

- stopPropagation(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.stopPropagation

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:234

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### Static reloadPage

- reloadPage(): void

- - Defined in CLUEGraphManager.ts:42

  #### Returns void

Generated using TypeDoc